<h1 class="con_heading"><?php echo $_LANG['ARTICLES_RATING']; ?></h1>
<?php if(!empty($articles)): ?>

<table class="contentlist" cellspacing="2" border="0" width="">
    <?php foreach ($articles as $tid => $article): ?>
        <tr>
            <td width="20" valign="top" style="font-size:20px"><?php echo self::rating($article['rating']); ?></td>
            <td width="" valign="top">
                <h2 class="con_title">
                    <a href="<?php echo $article['url']; ?>" class="con_titlelink"><?php echo $article['title']; ?></a>
                </h2>
                <?php if(!empty($article['showdesc'])): ?>
                    <div class="con_desc">
                        <?php if(!empty($article['image'])): ?>
                            <div class="con_image">
                                <img src="/images/photos/small/<?php echo $article['image']; ?>" border="0" alt="<?php echo htmlspecialchars($article['title']); ?>"/>
                            </div>
                        <?php endif; ?>
                        <?php echo $article['description']; ?>
                    </div>
                <?php endif; ?>

                <?php if(!empty($article['showcomm']) || !empty($article['showdate']) || !empty($article['tagline'])): ?>
                    <div class="con_details">
                        <?php if(!empty($article['showdate'])): ?>
                            <?php echo $article['fpubdate']; ?> - <a href="<?php echo cmsUser::getProfileURL($article['user_login']); ?>" style="color:#666"><?php echo $article['author']; ?></a>
                        <?php endif; ?>
                        <?php if(!empty($article['showcomm'])): ?>
                            <?php if(!empty($article['showdate'])): ?> | <?php endif; ?>
                            <a href="<?php echo $article['url']; ?>#c" title="<?php echo $_LANG['COMMENTS']; ?>"><?php echo cmsCore::spellCount($article['comments'], $_LANG['COMMENT'], $_LANG['COMMENT2'], $_LANG['COMMENT10']); ?></a>
                        <?php endif; ?>
                         | <?php echo cmsCore::spellCount($article['hits'], $_LANG['HIT'], $_LANG['HIT2'], $_LANG['HIT10']); ?>
                        <?php if(!empty($article['tagline'])): ?>
                             | <strong><?php echo $_LANG['TAGS']; ?>:</strong> <?php echo $article['tagline']; ?>
                        <?php endif; ?>
                        	 | <strong><?php echo $_LANG['CAT']; ?>:</strong> <a href="<?php echo $article['cat_url']; ?>"><?php echo $article['cat_title']; ?></a>
                    </div>
                <?php endif; ?>
            </td>
         </tr>
    <?php endforeach; ?>
</table>

<?php else: ?>
	<p><?php echo $_LANG['NO_ARTICLES_PUBL_ON_SITE']; ?></p>
<?php endif; ?>