<div id="mod_user_stats">
    <?php if(!empty($cfg['show_total'])): ?>
    <div class="stat_block">
        <div class="title"><?php echo $_LANG['HOW_MUCH_US']; ?></div>
        <div class="body">
            <ul>
                <li><?php echo cmsCore::spellCount($total_usr, $_LANG['USER'], $_LANG['USER2'], $_LANG['USER10']); ?></li>
            </ul>
        </div>
    </div>
    <?php endif; ?>

    <?php if(!empty($cfg['show_online'])): ?>
    <div class="stat_block">
        <div class="title"><?php echo $_LANG['STATS_WHO_ONLINE']; ?></div>
        <div class="body">
            <ul>
                <li><?php echo cmsCore::spellCount($people['users'], $_LANG['USER'], $_LANG['USER2'], $_LANG['USER10']); ?></li>
                <li><?php echo cmsCore::spellCount($people['guests'], $_LANG['GUEST'], $_LANG['GUEST2'], $_LANG['GUEST10']); ?></li>
                <li>
                <?php if(!empty($usr_online)): ?>
                	<a href="/users/all.html" rel="nofollow"><?php echo $_LANG['SHOW_ALL']; ?></a>
                <?php else: ?>
                	<a href="/users/online.html" rel="nofollow"><?php echo $_LANG['SHOW_ONLY_ONLINE']; ?></a>
                <?php endif; ?>
                </li>
            </ul>
        </div>
    </div>
    <?php endif; ?>

    <?php if(!empty($cfg['show_gender'])): ?>
    <div class="stat_block">
        <div class="title"><?php echo $_LANG['STATS_WHO']; ?></div>
        <div class="body">
            <ul>
                <li><a href="javascript:void(0)" rel=”nofollow” onclick="searchGender('m')"><?php echo cmsCore::spellCount($gender_stats['male'], $_LANG['MALE1'], $_LANG['MALE2'], $_LANG['MALE10']); ?></a></li>
                <li><a href="javascript:void(0)" rel=”nofollow” onclick="searchGender('f')"><?php echo cmsCore::spellCount($gender_stats['female'], $_LANG['FEMALE1'], $_LANG['FEMALE2'], $_LANG['FEMALE10']); ?></a></li>
                <li><?php echo $_LANG['UNKNOWN']; ?> &mdash; <?php echo $gender_stats['unknown']; ?></li>
            </ul>
        </div>
    </div>
    <?php endif; ?>

    <?php if(!empty($cfg['show_city'])): ?>
    <div class="stat_block">
        <div class="title"><?php echo $_LANG['WHERE_WE_FROM']; ?></div>
        <div class="body">
            <ul>
                <?php foreach ($city_stats as $tid => $city): ?>
                    <?php if(!empty($city['href'])): ?>
                        <li><a href="<?php echo $city['href']; ?>" rel=”nofollow”><?php echo $city['city']; ?></a> &mdash; <?php echo $city['count']; ?></li>
                    <?php else: ?>
                        <li><?php echo $city['city']; ?> &mdash; <?php echo $city['count']; ?></li>
                    <?php endif; ?>
                <?php endforeach; ?>
            </ul>
        </div>
    </div>
    <?php endif; ?>

    <?php if(!empty($cfg['show_bday']) && !empty($bday)): ?>
        <div class="stat_block_bday" style="margin-top:10px;">
            <div class="title"><?php echo $_LANG['TODAY_BIRTH']; ?>:</div>
            <div class="body">
                <?php echo $bday; ?>
            </div>
        </div>
    <?php endif; ?>

</div>

<script type="text/javascript">
function searchGender(gender){
	$('body').append('<form id="sform" style="display:none" method="post" action="/users"><input type="hidden" name="gender" value="'+gender+'"/></form>');
	$('form#sform').submit();
}
</script>
